#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# TIConvert v0.5
# By Michael Lee
# Released July 26th, 2011
#
# Please see /readme_TIConvert.txt
# Licensed under the MIT License (see /license_TIConvert.txt)
#
# Written in Python 2.7
#
# /main.py        -- Bundles all modules together.
# /interface.py   -- Contains a command-line parser for input (maybe add a
#                    GUI later?)
# /ticonverter.py -- Provides methods for manipulating 8xp and txt files.
# /data.py        -- Contains data needed to convert to and from txt to 8xp.
# /meta.py        -- Provides metadata
#


import interface
import meta
import ticonverter


if __name__ == "__main__":
    reader = interface.CommandIO()
    options = reader.parse()

    parser = ticonverter.Parser(colons=options["colons"],
                                tab_length=options["tab_length"],
                                encoding=options["encoding"],
                                detokenize_type=options["force"])
    for i, input_path in enumerate(options["input_paths"]):
        parser.just_do_it(input_path,
                          options["output_paths"][i],
                          options["program_name"])
        # encoding="ascii" for normal chars,
        # encoding="special" for special chars.
    print "\nSuccess!\n"

